Install Issue: postgresql-plpython-7.4.30_1

parkerpkthn

New Member


Messages: 4

When attempting to install this package I received following error...

Code:
checking for gawk... no

checking for mawk... no
checking for nawk... nawk
checking for flex... /usr/bin/flex
checking whether ln -s works... yes
checking for ld used by GCC... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for ranlib... ranlib
checking for tar... /usr/bin/tar
checking for strip... strip
checking whether it is possible to strip libraries... yes
checking for bison... no
configure: WARNING:
*** Without Bison you will not be able to build PostgreSQL from CVS nor
*** change any of the parser definition files. You can obtain Bison from
*** a GNU mirror site. (If you are using the official distribution of
*** PostgreSQL then you do not need to worry about this, because the Bison
*** output is pre-generated.) To use a different yacc program (possible,
*** but not recommended), set the environment variable YACC before running
*** 'configure'.
checking for perl... /usr/bin/perl
checking for python... /usr/local/bin/python2.6
checking for Python distutils module... yes
checking Python configuration directory... /usr/local/lib/python2.6/config
checking how to link an embedded Python application... -L/usr/local/lib/python2.6/config -lpython2.6 -lutil -lm
checking whether Python is compiled with thread support... yes
configure: error: threaded Python not supported on this platform
===> Script "configure" failed unexpectedly.
Please report the problem to ports@FreeBSD.org [maintainer] and attach the
"/usr/ports/databases/postgresql-plpython/work/postgresql-8.2.18/config.log"
including the output of the failure of your make command. Also, it might be
a good idea to provide an overview of all packages installed on your system
(e.g. an `ls /var/db/pkg`).
*** Error code 1

Stop in /usr/ports/databases/postgresql-plpython.
Attached are the config.log and my pkg-list per instructions. Thanks
 

Attachments

SirDice

Administrator
Staff member
Administrator
Moderator

Reaction score: 7,264
Messages: 29,700

If I look at the error it seems that postgresql-plpython doesn't like python being compiled with threaded option. Rebuild python and turn off THREADS. Then try building postgresql-plpython again.
 
OP
OP
P

parkerpkthn

New Member


Messages: 4

Thanks SirDice. Took me a little time to figure out how to rebuild with threads turned off. Below is what I did for anyone interested. Also, this port uses python2.6 and in fact installs it if not already installed.

1. To set the threading option off you need to run the python "configure" command. I searched and found it at /usr/ports/lang/python26/work/Python-2.6.6
2. I ran a [cmd=]man configure[/cmd], this told me run [cmd=]./configure --without-threads[/cmd]
3. This produces a Makefile. I then ran [cmd=]make install[/cmd]
4. Then I tried adding the postgresql-plpython package. SUCCESS!
 
Top